---
title: 'About Me'
type: about
weight: 20
---
![me](images/me_codeskraps.gif)

I'm a passionate and highly motivated software engineer with a deep-rooted love for technology that dates back to my first computer, an Amstrad 8256. From those early days of programming as a hobby, I've turned my passion into a successful career, specializing in mobile development with a focus on Android.

<br clear="left">

## Professional Journey

Currently, I'm leading the mobile team at Game Golf, where I oversee all aspects of our mobile app development. My experience spans various domains, including:

- Android app development and maintenance
- iOS development
- Backend technologies like Spring Framework and RESTful APIs
- Working in fast-paced, agile environments

Throughout my career, I've contributed to award-winning apps and worked with startups and established companies alike. I take pride in writing clean, efficient code and designing scalable solutions that adhere to best practices in object-oriented programming.

## Technical Expertise

My skill set includes:

- Proficiency in Java, Kotlin, and Android SDK
- Experience with iOS development
- Familiarity with various libraries and frameworks (RxJava, Dagger2, Room, LiveData, etc.)
- Version control with Git
- Database technologies (SQLite, MongoDB)
- Some web development (HTML, CSS, JavaScript)

I'm always eager to learn and stay up-to-date with the latest trends in technology, particularly in the mobile development world.

## Beyond Coding

Outside of my professional work, I'm an active member of the tech community. I co-founded 091 Labs, a local hackerspace, where I've conducted workshops on Android development. I'm also passionate about open-source projects and have contributed to various initiatives on GitHub and Launchpad.

As a multilingual professional fluent in English, Catalan, and Spanish, I bring a global perspective to my work and enjoy collaborating with diverse teams.

Whether it's developing innovative mobile applications, contributing to open-source projects, or sharing knowledge with aspiring developers, I'm always excited to take on new challenges in the ever-evolving world of technology.

Feel free to check out my work on [GitHub](https://github.com/codeskraps) or my published apps on the [Google Play Store](https://play.google.com/store/apps/developer?id=Codeskraps).
